Package com.pixelmed.network

# Class NetworkApplicationProperties.OurNetworkConfigurationSource

java.lang.Object
com.pixelmed.network.NetworkConfigurationSource
com.pixelmed.network.NetworkApplicationProperties.OurNetworkConfigurationSource

Enclosing class:
  NetworkApplicationProperties

protected class NetworkApplicationProperties.OurNetworkConfigurationSource extends NetworkConfigurationSource

## Nested Class Summary

## Nested classes/interfaces inherited from class com.pixelmed.network.NetworkConfigurationSource

`NetworkConfigurationSource.DumpNetworkApplicationInformation`

## Field Summary

### Fields inherited from class com.pixelmed.network.NetworkConfigurationSource

`DefaultDumpInfoInterval, DefaultSourceRefreshInterval, dumper, timer`

## Method Summary

Modifier and Type
Method
Description
`void`
`activateDiscovery(int refreshInterval)`
Start discovery of network configuration, if possible.
`void`
`deActivateDiscovery()`
Stop discovery.
`NetworkApplicationInformation`
`getNetworkApplicationInformation()`
Return the network application information.

### Methods inherited from class com.pixelmed.network.NetworkConfigurationSource

`activateDiscovery, activateDumper, activateDumper, close, deActivateDumper`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getNetworkApplicationInformation

public NetworkApplicationInformation getNetworkApplicationInformation()
Description copied from class: `NetworkConfigurationSource`

Return the network application information.

Synchronized since the information may be dynamically updated whilst accessible by other threads.

Overrides:
  `getNetworkApplicationInformation` in class `NetworkConfigurationSource`
Returns:
  the network application information

### activateDiscovery

public void activateDiscovery(int refreshInterval)
Description copied from class: `NetworkConfigurationSource`

Start discovery of network configuration, if possible.

Specified by:
  `activateDiscovery` in class `NetworkConfigurationSource`
Parameters:
  `refreshInterval` - interval to refresh configuration in milliseconds, 0 if no refresh (runs once only); may be ignored if source is asynchronous

### deActivateDiscovery

public void deActivateDiscovery()
Description copied from class: `NetworkConfigurationSource`

Stop discovery.

Specified by:
  `deActivateDiscovery` in class `NetworkConfigurationSource`